Debian Bug report logs - #591457
apt-cross: dependency calculations and locales

version graph

Package: apt-cross; Maintainer for apt-cross is (unknown);

Reported by: Francois Gouget <fgouget@free.fr>

Date: Tue, 3 Aug 2010 09:30:01 UTC

Severity: grave

Tags: confirmed, wontfix

Found in versions apt-cross/0.13.4, apt-cross/0.12.0

Fixed in version 0.13.4+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#591457; Package apt-cross. (Tue, 03 Aug 2010 09:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Gouget <fgouget@free.fr>:
New Bug report received and forwarded. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 03 Aug 2010 09:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francois Gouget <fgouget@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-cross dependency calculation broken in non English locales
Date: Tue, 03 Aug 2010 11:26:05 +0200
Package: apt-cross
Version: 0.13.4
Severity: important


I run Debian in a French locale and this causes apt-cross to not find any dependency. To reproduce run this test (you may need to first add the French locale with dpkg-reconfigure locales):

# LANG=fr_FR.UTF-8 apt-cross -a i386 -n -i libxt-dev
The following NEW packages will be built and installed:
 libxt-dev
0 to be upgraded, 1 to be newly installed.

# LANG= apt-cross -a i386 -n -i libxt-dev
The following NEW packages will be built and installed:
 debianutils gcc-4.4-base libc-bin libc6 libgcc1 libice-dev libice6 libpam-modules libpam0g libpthread-stubs0 libpthread-stubs0-dev libselinux1 libsm-dev libsm6 libuuid1 libx11-6 libx11-dev libxau-dev libxau6 libxcb1 libxcb1-dev libxdmcp-dev libxdmcp6 libxt-dev libxt6 passwd x11proto-core-dev x11proto-input-dev x11proto-kb-dev xtrans-dev
0 to be upgraded, 30 to be newly installed.

Needless to say, this makes apt-cross essentially unusable if one does not know the magic 'LANG=' workaround, hence the priority 'important'.

This bug is also present in apt-cross 0.12.0 (in Debian 5.0.5).


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt-cross depends on:
ii  apt                           0.7.25.3   Advanced front-end for dpkg
ii  dpkg-cross                    2.5.8      tools for cross compiling Debian p
ii  dpkg-dev                      1.15.7.2   Debian package development tools
ii  libcache-apt-perl             0.13.4     object oriented apt cache perl bin
ii  libconfig-auto-perl           0.20-2     Magical config file parser
ii  libdebian-dpkgcross-perl      2.5.8      functions to aid cross-compiling D
ii  libparse-debcontrol-perl      2.005-2    Easy OO parsing of Debian control-
ii  libparse-debian-packages-perl 0.01-2     parse the data from a Debian Packa
ii  libterm-progressbar-perl      2.09-5     Perl module to print a progress ba
ii  libwww-perl                   5.836-1    Perl HTTP/WWW client/server librar
ii  perl                          5.10.1-13  Larry Wall's Practical Extraction 
ii  sudo                          1.7.2p7-1  Provide limited super user privile

apt-cross recommends no packages.

apt-cross suggests no packages.

-- no debconf information

-- debsums errors found:
debsums: changed file /var/lib/apt-cross/multiarch.list (from apt-cross package)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591457; Package apt-cross. (Tue, 03 Aug 2010 11:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Tue, 03 Aug 2010 11:09:11 GMT) Full text and rfc822 format available.

Message #10 received at 591457@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Francois Gouget <fgouget@free.fr>, 591457@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#591457: apt-cross dependency calculation broken in non English locales
Date: Tue, 3 Aug 2010 07:05:02 -0400
[Message part 1 (text/plain, inline)]
notfound 591457 0.13.4
tag 591457 + unreproducible
tag 591457 + moreinfo
severity 591457 normal
retitle 591457 apt-cross: dependency calculations and locales
quit

On Tue, 03 Aug 2010 11:26:05 +0200
Francois Gouget <fgouget@free.fr> wrote:

> Package: apt-cross
> Version: 0.13.4
> Severity: important
> 
> I run Debian in a French locale and this causes apt-cross to not find any dependency. To reproduce run this test (you may need to first add the French locale with dpkg-reconfigure locales):

I have many locales pre-configured in many different environments. None
of those environments can reproduce this bug.

> # LANG=fr_FR.UTF-8 apt-cross -a i386 -n -i libxt-dev

Why are you trying to cross i386???

> Needless to say, this makes apt-cross essentially unusable if one does not know the magic 'LANG=' workaround, hence the priority 'important'.

Not reproducible - apt-cross has been translated and tested in various
locales many times and it does work with translated output (i.e.
without changing the locale).

> This bug is also present in apt-cross 0.12.0 (in Debian 5.0.5).

Tested, not reproducible.

1. Make sure apt-cross is always up to date before testing, using the
--update command

2. Always run --update between any change in configuration

3. Do not expect apt-cross to handle false tests like -a i386, use a
sensible test like -a armel.

4. If you want foo_i386-cross you are looking for the wrong thing,
generally - use a 32bit chroot to build stuff for i386 on amd64, for
example. It is usually wrong to want foo_i386-cross anything. Please
explain, in detail, why you think you need this and re-test.

5. For quicker tests, consider trying libpopt-dev as your test package.

6. Get yourself a clean test environment, maybe using pbuilder or
pdebuild-cross, and re-test. I suspect something else is wrong or
misconfigured on your system.

7. Always provide the *full* list of apt sources - not
just /etc/apt/sources.list but all the files in /etc/apt/sources.list.d/
Bugs in dependency calculations with apt-cross are always dependent on
the precise apt sources in use at the time. That is why apt-cross
supplies a custom reportbug script. reportbug then generates these
questions:

"I can automatically include various information about your apt and
apt-cross configuration in your bug report.  This information may
help to diagnose your problem. You can always edit this information
within the bug report if necessary.

It can also be helpful if you re-run the problematic apt-cross
command using the full debug verbosity (-v -v -v) and redirecting
the output to a file that can be attached to the bug report.

Thanks for your help.

May I include your apt cache policy ? y
May I also include your sources.lists (/etc/apt/sources.list*(.d/*))? y"

8. Clean up your apt-cross cache data (~/.apt-cross) - remove the
entire directory and ensure that no other users on the same system have
apt-cross cache data either (especially /root/)

Please re-test and use reportbug to add more information to this bug
report and expressly include the above information. If this is not
provided, I have no choice but to close this bug as wontfix.

apt-cross has many issues but l10n is not normally one.

It's very likely that something else is causing apt-cross to fail to
see the relevant cache data (the usual reason that apt-cross will fail
to resolve dependencies) in the expected location.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Bug No longer marked as found in versions apt-cross/0.13.4. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 11:09:15 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 11:09:16 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 11:09:16 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 11:09:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'apt-cross: dependency calculations and locales' from 'apt-cross dependency calculation broken in non English locales' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 11:09:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591457; Package apt-cross. (Tue, 03 Aug 2010 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Tue, 03 Aug 2010 13:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 591457@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Francois Gouget <fgouget@free.fr>, 591457@bugs.debian.org
Subject: Re: Bug#591457: apt-cross dependency calculation broken in non English locales
Date: Tue, 3 Aug 2010 09:29:10 -0400
[Message part 1 (text/plain, inline)]
On Tue, 3 Aug 2010 07:05:02 -0400
Neil Williams <codehelp@debian.org> wrote:

> Not reproducible - apt-cross has been translated and tested in various
> locales many times and it does work with translated output (i.e.
> without changing the locale).

Actually, I typo'd that - apt-cross actual translations didn't make it
but testing in locales did occur (translated output appearing from the
programs called by apt-cross). There is one possible situation where
dpkg -I is currently called. I still need the full apt-cache policy
and full set of apt sources to be able to test this bug.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#591457; Package apt-cross. (Tue, 03 Aug 2010 22:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Gouget <fgouget@free.fr>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 03 Aug 2010 22:03:10 GMT) Full text and rfc822 format available.

Message #30 received at 591457@bugs.debian.org (full text, mbox):

From: Francois Gouget <fgouget@free.fr>
To: Debian Bug Tracking System <591457@bugs.debian.org>
Subject: Re: apt-cross: dependency calculations and locales
Date: Tue, 3 Aug 2010 23:59:53 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Package: apt-cross
Version: 0.12.0
Followup-For: Bug #591457


Reporting against apt-cross 0.12.0 this time since that's in a clean Debian 5.0 32 bit install that I did with debootstrap not three days ago.
In this environment I generated the log below by running the following command as root:

(set -x; ls -la /etc/apt/sources.list.d && rm -rf /root/.apt-cross && apt-cross -a amd64 --update && apt-cross -v -v -v -a amd64 -n -i libpopt-dev && LANG= apt-cross -v -v -v -a amd64 -n -i libpopt-dev) >/tmp/apt-cross.log 2>&1



+ ls -la /etc/apt/sources.list.d
total 8
drwxr-xr-x 2 root root 4096 mai 12 20:25 .
drwxr-xr-x 4 root root 4096 aoû  3 11:18 ..
+ rm -rf /root/.apt-cross
+ apt-cross -a amd64 --update
Impossible de verrouiller /root/.apt-cross/status - open (2 Aucun fichier ou répertoire de ce type)
Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.
Vous devez insérer quelques adresses « sources » dans votre sources.list
Réception de : 1 http://ftp.fr.debian.org stable Release.gpg [1033B]
Réception de : 2 http://ftp.fr.debian.org stable/main Translation-fr [647kB]
Ign http://security.debian.org stable Release.gpg
Ign http://security.debian.org stable/main Translation-fr
Ign http://security.debian.org stable Release
Ign http://security.debian.org stable/main Packages
Ign http://security.debian.org stable/main Sources
Ign http://security.debian.org stable/main Packages
Ign http://security.debian.org stable/main Sources
Err http://security.debian.org stable/main Packages
  404 Not Found [IP : 212.211.132.250 80]
Err http://security.debian.org stable/main Sources
  404 Not Found [IP : 212.211.132.250 80]
Réception de : 3 http://ftp.fr.debian.org stable Release [73,8kB]
Réception de : 4 http://ftp.fr.debian.org stable/main Packages [5150kB]
Réception de : 5 http://ftp.fr.debian.org stable/main Sources [2309kB]
8181ko réceptionnés en 6s (1232ko/s)
Impossible de verrouiller /root/.apt-cross/stable/lists/security.debian.org_dists_stable_main_source_Sources - open (2 Aucun fichier ou répertoire de ce type)
+ apt-cross -v -v -v -a amd64 -n -i libpopt-dev

Lecture des listes de paquets... 0%

Lecture des listes de paquets... 100%

Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances... 0%

Construction de l'arbre des dépendances... 0%

Construction de l'arbre des dépendances... 50%

Construction de l'arbre des dépendances... 50%

Construction de l'arbre des dépendances... Fait
Impossible de verrouiller /root/.apt-cross/stable/lists/security.debian.org_dists_stable_main_source_Sources - open (2 Aucun fichier ou répertoire de ce type)
Updating amd64 cache:
$VAR1 = bless( {
                 'cmd' => {
                            'native_pkgtool' => '/usr/bin/dpkg',
                            'zcat' => '/bin/zcat',
                            'aptget_tool' => '/usr/bin/apt-get',
                            'cross_pkgtool' => '/usr/bin/dpkg-cross',
                            'gzip' => '/bin/gzip'
                          },
                 'main' => {
                             'extra_conf' => '',
                             'config_str' => ' -o Apt::Architecture=amd64 -o APT::Get::List-Cleanup=off -o Apt::Install-Recommends=false -o Dir=/root/.apt-cross -o Dir::Etc=/root/.apt-cross -o Dir::Etc::SourceList=sources.stable -o Dir::State=stable -o Dir::State::Status=/root/.apt-cross/status -o Dir::Cache=stable',
                             'tmp_dir' => '/tmp',
                             'maindir' => '/root/.apt-cross',
                             'arch' => 'amd64',
                             'suite' => 'stable'
                           }
               }, 'Cache::Apt::Config' );
$VAR1 = bless( {
                 'APT' => undef,
                 'APT::Architecture' => 'amd64',
                 'APT::Build-Essential' => undef,
                 'APT::Build-Essential::' => 'build-essential',
                 'APT::Install-Recommends' => '1',
                 'APT::Install-Suggests' => '0',
                 'APT::Acquire' => undef,
                 'APT::Acquire::Translation' => 'environment',
                 'APT::NeverAutoRemove' => undef,
                 'APT::NeverAutoRemove::' => '^linux-image.* ^linux-restricted-modules.*',
                 'APT::NeverAutoRemove::' => '^linux-image.* ^linux-restricted-modules.*',
                 'APT::Get' => undef,
                 'APT::Get::List-Cleanup' => 'off',
                 'Dir' => '/root/.apt-cross',
                 'Dir::State' => 'stable',
                 'Dir::State::lists' => 'lists/',
                 'Dir::State::cdroms' => 'cdroms.list',
                 'Dir::State::Status' => '/root/.apt-cross/status',
                 'Dir::Cache' => 'stable',
                 'Dir::Cache::archives' => 'archives/',
                 'Dir::Cache::srcpkgcache' => 'srcpkgcache.bin',
                 'Dir::Cache::pkgcache' => 'pkgcache.bin',
                 'Dir::Etc' => '/root/.apt-cross',
                 'Dir::Etc::sourcelist' => 'sources.stable',
                 'Dir::Etc::sourceparts' => 'sources.list.d',
                 'Dir::Etc::vendorlist' => 'vendors.list',
                 'Dir::Etc::vendorparts' => 'vendors.list.d',
                 'Dir::Etc::main' => 'apt.conf',
                 'Dir::Etc::parts' => 'apt.conf.d',
                 'Dir::Etc::preferences' => 'preferences',
                 'Dir::Bin' => undef,
                 'Dir::Bin::methods' => '/usr/lib/apt/methods',
                 'Dir::Log' => 'var/log/apt',
                 'Dir::Log::Terminal' => 'term.log',
                 'DPkg' => undef,
                 'DPkg::Pre-Install-Pkgs' => undef,
                 'DPkg::Pre-Install-Pkgs::' => '/usr/sbin/dpkg-preconfigure --apt || true'
               }, 'AptPkg::Config' );
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
$VAR1 = \bless( {
                   'AptCrossPackage::Cross_Architecture' => undef,
                   'AptCrossPackage::Filename' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
                   'AptCrossPackage::Build_Depends' => undef,
                   'AptCrossPackage::Distribution' => 'stable',
                   'AptCrossPackage::Depends' => [
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'popt',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Remplace'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'libc-dev',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Dépend'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'libc6-dev',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Dépend'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'libpopt0',
                                                              'AptCrossDependency::VersionLimit' => '= 1.14-4',
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Dépend'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'popt',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Est en conflit avec'
                                                            }, 'AptCrossDependency' )
                                                 ],
                   'AptCrossPackage::Section' => 'libdevel',
                   'AptCrossPackage::FileMD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
                   'AptCrossPackage::Build_Depends_Indep' => undef,
                   'AptCrossPackage::Priority' => undef,
                   'AptCrossPackage::Maintainer' => 'Paul Martin <pm@debian.org>',
                   'AptCrossPackage::Description' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
                   'AptCrossPackage::Size' => undef,
                   'AptCrossPackage::Summary' => 'lib for parsing cmdline parameters - development files',
                   'AptCrossPackage::Source' => 'popt',
                   'AptCrossPackage::Suggests' => undef,
                   'AptCrossPackage::Package' => 'libpopt-dev',
                   'AptCrossPackage::Architecture' => 'amd64',
                   'AptCrossPackage::Version' => '1.14-4',
                   'AptCrossPackage::Installed' => undef,
                   'AptCrossPackage::Provides' => undef,
                   'AptCrossPackage::Recommends' => undef
                 }, 'AptCrossPackage' );
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
processing libpopt-dev conflicts
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
libpopt-dev Est en conflit avec : popt
Checking popt for conflicts
$VAR1 = undef;
libpopt-dev Dépend : libpopt0
Checking libpopt0 for conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt0_1.14-4_amd64.deb',
          'MD5Hash' => 'ee738456a36ca9aa4326b703cf31f68a',
          'LongDesc' => 'lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.',
          'Name' => 'libpopt0'
        };
libpopt-dev Dépend : libc6-dev
Checking libc6-dev for conflicts
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Development Libraries and Header Files',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6-dev_2.7-18lenny4_amd64.deb',
          'MD5Hash' => '19d1cb7764663e2a4a40099f446c9821',
          'LongDesc' => 'GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.',
          'Name' => 'libc6-dev'
        };
libpopt-dev Dépend : libc-dev
Checking libc-dev for conflicts
$VAR1 = undef;
libpopt-dev Remplace : popt
Checking popt for conflicts
$VAR1 = undef;
processing libpopt-dev dependencies.
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
$VAR1 = undef;
libpopt-dev Remplace : popt
popt looks like a pseudo package - excluding.
$VAR1 = undef;
libpopt-dev Dépend : libc-dev
libc-dev looks like a pseudo package - excluding.
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Development Libraries and Header Files',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6-dev_2.7-18lenny4_amd64.deb',
          'MD5Hash' => '19d1cb7764663e2a4a40099f446c9821',
          'LongDesc' => 'GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.',
          'Name' => 'libc6-dev'
        };
libpopt-dev Dépend : libc6-dev (2.7-18lenny4)
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt0_1.14-4_amd64.deb',
          'MD5Hash' => 'ee738456a36ca9aa4326b703cf31f68a',
          'LongDesc' => 'lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.',
          'Name' => 'libpopt0'
        };
libpopt-dev Dépend : libpopt0 (1.14-4)
$VAR1 = undef;
libpopt-dev Est en conflit avec : popt
popt looks like a pseudo package - excluding.
Skipping package already seen: 'libpopt-dev'.
The following NEW packages will be built and installed:
 libpopt-dev
0 to be upgraded, 1 to be newly installed.
+ LANG=
+ apt-cross -v -v -v -a amd64 -n -i libpopt-dev

Reading package lists... 0%

Reading package lists... 0%

Reading package lists... 1%

Reading package lists... 100%

Reading package lists... 100%

Reading package lists... Done

Building dependency tree... 0%

Building dependency tree... 0%

Building dependency tree... 0%

Building dependency tree... 50%

Building dependency tree... 50%

Building dependency tree... Done
Could not open file /root/.apt-cross/stable/lists/security.debian.org_dists_stable_main_source_Sources - open (2 No such file or directory)
Updating amd64 cache:
$VAR1 = bless( {
                 'cmd' => {
                            'native_pkgtool' => '/usr/bin/dpkg',
                            'zcat' => '/bin/zcat',
                            'aptget_tool' => '/usr/bin/apt-get',
                            'cross_pkgtool' => '/usr/bin/dpkg-cross',
                            'gzip' => '/bin/gzip'
                          },
                 'main' => {
                             'extra_conf' => '',
                             'config_str' => ' -o Apt::Architecture=amd64 -o APT::Get::List-Cleanup=off -o Apt::Install-Recommends=false -o Dir=/root/.apt-cross -o Dir::Etc=/root/.apt-cross -o Dir::Etc::SourceList=sources.stable -o Dir::State=stable -o Dir::State::Status=/root/.apt-cross/status -o Dir::Cache=stable',
                             'tmp_dir' => '/tmp',
                             'maindir' => '/root/.apt-cross',
                             'arch' => 'amd64',
                             'suite' => 'stable'
                           }
               }, 'Cache::Apt::Config' );
$VAR1 = bless( {
                 'APT' => undef,
                 'APT::Architecture' => 'amd64',
                 'APT::Build-Essential' => undef,
                 'APT::Build-Essential::' => 'build-essential',
                 'APT::Install-Recommends' => '1',
                 'APT::Install-Suggests' => '0',
                 'APT::Acquire' => undef,
                 'APT::Acquire::Translation' => 'environment',
                 'APT::NeverAutoRemove' => undef,
                 'APT::NeverAutoRemove::' => '^linux-image.* ^linux-restricted-modules.*',
                 'APT::NeverAutoRemove::' => '^linux-image.* ^linux-restricted-modules.*',
                 'APT::Get' => undef,
                 'APT::Get::List-Cleanup' => 'off',
                 'Dir' => '/root/.apt-cross',
                 'Dir::State' => 'stable',
                 'Dir::State::lists' => 'lists/',
                 'Dir::State::cdroms' => 'cdroms.list',
                 'Dir::State::Status' => '/root/.apt-cross/status',
                 'Dir::Cache' => 'stable',
                 'Dir::Cache::archives' => 'archives/',
                 'Dir::Cache::srcpkgcache' => 'srcpkgcache.bin',
                 'Dir::Cache::pkgcache' => 'pkgcache.bin',
                 'Dir::Etc' => '/root/.apt-cross',
                 'Dir::Etc::sourcelist' => 'sources.stable',
                 'Dir::Etc::sourceparts' => 'sources.list.d',
                 'Dir::Etc::vendorlist' => 'vendors.list',
                 'Dir::Etc::vendorparts' => 'vendors.list.d',
                 'Dir::Etc::main' => 'apt.conf',
                 'Dir::Etc::parts' => 'apt.conf.d',
                 'Dir::Etc::preferences' => 'preferences',
                 'Dir::Bin' => undef,
                 'Dir::Bin::methods' => '/usr/lib/apt/methods',
                 'Dir::Log' => 'var/log/apt',
                 'Dir::Log::Terminal' => 'term.log',
                 'DPkg' => undef,
                 'DPkg::Pre-Install-Pkgs' => undef,
                 'DPkg::Pre-Install-Pkgs::' => '/usr/sbin/dpkg-preconfigure --apt || true'
               }, 'AptPkg::Config' );
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
$VAR1 = \bless( {
                   'AptCrossPackage::Cross_Architecture' => undef,
                   'AptCrossPackage::Filename' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
                   'AptCrossPackage::Build_Depends' => undef,
                   'AptCrossPackage::Distribution' => 'stable',
                   'AptCrossPackage::Depends' => [
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'popt',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Replaces'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'libc-dev',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Depends'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'libc6-dev',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Depends'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'libpopt0',
                                                              'AptCrossDependency::VersionLimit' => '= 1.14-4',
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Depends'
                                                            }, 'AptCrossDependency' ),
                                                   \bless( {
                                                              'AptCrossDependency::Package' => 'popt',
                                                              'AptCrossDependency::VersionLimit' => undef,
                                                              'AptCrossDependency::Installed' => 'NotInstalled',
                                                              'AptCrossDependency::Type' => 'Conflicts'
                                                            }, 'AptCrossDependency' )
                                                 ],
                   'AptCrossPackage::Section' => 'libdevel',
                   'AptCrossPackage::FileMD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
                   'AptCrossPackage::Build_Depends_Indep' => undef,
                   'AptCrossPackage::Priority' => undef,
                   'AptCrossPackage::Maintainer' => 'Paul Martin <pm@debian.org>',
                   'AptCrossPackage::Description' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
                   'AptCrossPackage::Size' => undef,
                   'AptCrossPackage::Summary' => 'lib for parsing cmdline parameters - development files',
                   'AptCrossPackage::Source' => 'popt',
                   'AptCrossPackage::Suggests' => undef,
                   'AptCrossPackage::Package' => 'libpopt-dev',
                   'AptCrossPackage::Architecture' => 'amd64',
                   'AptCrossPackage::Version' => '1.14-4',
                   'AptCrossPackage::Installed' => undef,
                   'AptCrossPackage::Provides' => undef,
                   'AptCrossPackage::Recommends' => undef
                 }, 'AptCrossPackage' );
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
processing libpopt-dev conflicts
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
libpopt-dev Conflicts : popt
Checking popt for conflicts
$VAR1 = undef;
libpopt-dev conflicts with popt
Skipping popt due to conflict.
libpopt-dev Depends : libpopt0
Checking libpopt0 for conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt0_1.14-4_amd64.deb',
          'MD5Hash' => 'ee738456a36ca9aa4326b703cf31f68a',
          'LongDesc' => 'lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.',
          'Name' => 'libpopt0'
        };
libpopt-dev Depends : libc6-dev
Checking libc6-dev for conflicts
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Development Libraries and Header Files',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6-dev_2.7-18lenny4_amd64.deb',
          'MD5Hash' => '19d1cb7764663e2a4a40099f446c9821',
          'LongDesc' => 'GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.',
          'Name' => 'libc6-dev'
        };
libpopt-dev Depends : libc-dev
Checking libc-dev for conflicts
$VAR1 = undef;
Skipping libpopt-dev Replaces popt
processing libpopt-dev dependencies.
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
Skipping libpopt-dev Replaces popt
$VAR1 = undef;
libpopt-dev Depends : libc-dev
libc-dev looks like a pseudo package - excluding.
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Development Libraries and Header Files',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6-dev_2.7-18lenny4_amd64.deb',
          'MD5Hash' => '19d1cb7764663e2a4a40099f446c9821',
          'LongDesc' => 'GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.',
          'Name' => 'libc6-dev'
        };
libpopt-dev Depends : libc6-dev (2.7-18lenny4)
Adding libc6-dev
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt0_1.14-4_amd64.deb',
          'MD5Hash' => 'ee738456a36ca9aa4326b703cf31f68a',
          'LongDesc' => 'lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.',
          'Name' => 'libpopt0'
        };
libpopt-dev Depends : libpopt0 (1.14-4)
Adding libpopt0
$VAR1 = undef;
libpopt-dev Conflicts : popt
popt looks like a pseudo package - excluding.
Skipping package already seen: 'libpopt-dev'.
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Development Libraries and Header Files',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6-dev_2.7-18lenny4_amd64.deb',
          'MD5Hash' => '19d1cb7764663e2a4a40099f446c9821',
          'LongDesc' => 'GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.',
          'Name' => 'libc6-dev'
        };
processing libc6-dev conflicts
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Development Libraries and Header Files',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6-dev_2.7-18lenny4_amd64.deb',
          'MD5Hash' => '19d1cb7764663e2a4a40099f446c9821',
          'LongDesc' => 'GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.',
          'Name' => 'libc6-dev'
        };
libc6-dev Conflicts : libc-dev
Checking libc-dev for conflicts
$VAR1 = undef;
libc6-dev conflicts with libc-dev
Skipping libc-dev due to conflict.
libc6-dev Conflicts : libstdc++2.10-dev
Checking libstdc++2.10-dev for conflicts
$VAR1 = undef;
libc6-dev Conflicts : gcc-2.95
Checking gcc-2.95 for conflicts
$VAR1 = undef;
libc6-dev Conflicts : binutils
Checking binutils for conflicts
$VAR1 = {
          'VerStr' => '2.18.1~cvs20080103-7',
          'ShortDesc' => 'The GNU assembler, linker and binary utilities',
          'Section' => 'devel',
          'Maintainer' => 'Matthias Klose <doko@debian.org>',
          'MD5Hash' => '98198f19716c969128751f20230dd619',
          'FileName' => 'pool/main/b/binutils/binutils_2.18.1~cvs20080103-7_amd64.deb',
          'LongDesc' => 'The GNU assembler, linker and binary utilities
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.',
          'Name' => 'binutils'
        };
libc6-dev conflicts with binutils (<< 2.17cvs20070426-1)
We have binutils (2.18.1~cvs20080103-7 ) vs binutils (<< 2.17cvs20070426-1).
ver_compare(2.18.1~cvs20080103-7 << 2.17cvs20070426-1) = -316
binutils (2.18.1~cvs20080103-7) is newer (which is OK).
Skipping suggested or recommended dependencymanpages-dev.
Skipping suggested or recommended dependencyglibc-doc.
libc6-dev Depends : libc6
Checking libc6 for conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
libc6-dev Depends : linux-libc-dev
Checking linux-libc-dev for conflicts
$VAR1 = {
          'Section' => 'devel',
          'Maintainer' => 'Debian Kernel Team <debian-kernel@lists.debian.org>',
          'SourcePkg' => 'linux-2.6',
          'ShortDesc' => 'Linux support headers for userspace development',
          'VerStr' => '2.6.26-24',
          'FileName' => 'pool/main/l/linux-2.6/linux-libc-dev_2.6.26-24_amd64.deb',
          'MD5Hash' => '085fa2494b95d04df67fb7db6ec9f677',
          'LongDesc' => 'Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU glibc and other system
 libraries.',
          'Name' => 'linux-libc-dev'
        };
Skipping suggested or recommended dependencygcc.
Skipping suggested or recommended dependencyc-compiler.
Skipping libc6-dev Replaces man-db
Skipping libc6-dev Replaces gettext
Skipping libc6-dev Replaces ppp
Skipping libc6-dev Replaces libgdbmg1-dev
processing libc6-dev dependencies.
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Development Libraries and Header Files',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6-dev_2.7-18lenny4_amd64.deb',
          'MD5Hash' => '19d1cb7764663e2a4a40099f446c9821',
          'LongDesc' => 'GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.',
          'Name' => 'libc6-dev'
        };
Skipping libc6-dev Replaces libgdbmg1-dev
Skipping libc6-dev Replaces ppp
Skipping libc6-dev Replaces gettext
Skipping libc6-dev Replaces man-db
Skipping suggested or recommended dependency: c-compiler of libc6-dev.
Skipping suggested or recommended dependency: gcc of libc6-dev.
$VAR1 = {
          'Section' => 'devel',
          'Maintainer' => 'Debian Kernel Team <debian-kernel@lists.debian.org>',
          'SourcePkg' => 'linux-2.6',
          'ShortDesc' => 'Linux support headers for userspace development',
          'VerStr' => '2.6.26-24',
          'FileName' => 'pool/main/l/linux-2.6/linux-libc-dev_2.6.26-24_amd64.deb',
          'MD5Hash' => '085fa2494b95d04df67fb7db6ec9f677',
          'LongDesc' => 'Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU glibc and other system
 libraries.',
          'Name' => 'linux-libc-dev'
        };
libc6-dev Depends : linux-libc-dev (2.6.26-24)
Adding linux-libc-dev
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
libc6-dev Depends : libc6 (2.7-18lenny4)
Adding libc6
Skipping suggested or recommended dependency: glibc-doc of libc6-dev.
Skipping suggested or recommended dependency: manpages-dev of libc6-dev.
$VAR1 = {
          'VerStr' => '2.18.1~cvs20080103-7',
          'ShortDesc' => 'The GNU assembler, linker and binary utilities',
          'Section' => 'devel',
          'Maintainer' => 'Matthias Klose <doko@debian.org>',
          'MD5Hash' => '98198f19716c969128751f20230dd619',
          'FileName' => 'pool/main/b/binutils/binutils_2.18.1~cvs20080103-7_amd64.deb',
          'LongDesc' => 'The GNU assembler, linker and binary utilities
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.',
          'Name' => 'binutils'
        };
libc6-dev Conflicts : binutils (2.18.1~cvs20080103-7)
$VAR1 = undef;
libc6-dev Conflicts : gcc-2.95
gcc-2.95 looks like a pseudo package - excluding.
$VAR1 = undef;
libc6-dev Conflicts : libstdc++2.10-dev
libstdc++2.10-dev looks like a pseudo package - excluding.
$VAR1 = undef;
libc6-dev Conflicts : libc-dev
libc-dev looks like a pseudo package - excluding.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt0_1.14-4_amd64.deb',
          'MD5Hash' => 'ee738456a36ca9aa4326b703cf31f68a',
          'LongDesc' => 'lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.',
          'Name' => 'libpopt0'
        };
processing libpopt0 conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt0_1.14-4_amd64.deb',
          'MD5Hash' => 'ee738456a36ca9aa4326b703cf31f68a',
          'LongDesc' => 'lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.',
          'Name' => 'libpopt0'
        };
libpopt0 Conflicts : popt
Checking popt for conflicts
$VAR1 = undef;
libpopt0 conflicts with popt
Skipping popt due to conflict.
libpopt0 Conflicts : libpopt-dev
Checking libpopt-dev for conflicts
$VAR1 = {
          'Section' => 'libdevel',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters - development files',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt-dev_1.14-4_amd64.deb',
          'MD5Hash' => '9c92c790f261dfbae1492025f4d2799b',
          'LongDesc' => 'lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.',
          'Name' => 'libpopt-dev'
        };
libpopt0 conflicts with libpopt-dev (<= 1.4-1)
We have libpopt-dev (1.14-4 ) vs libpopt-dev (<= 1.4-1).
ver_compare(1.14-4 <= 1.4-1) = -316
libpopt-dev (1.14-4) is newer (which is OK).
libpopt0 Conflicts : rpm
Checking rpm for conflicts
$VAR1 = {
          'VerStr' => '4.4.2.3-1',
          'ShortDesc' => 'Red Hat package manager',
          'Section' => 'admin',
          'Maintainer' => 'Anibal Monsalve Salazar <anibal@debian.org>',
          'MD5Hash' => 'fecf9c83484d975e7e2f58c441b455f5',
          'FileName' => 'pool/main/r/rpm/rpm_4.4.2.3-1_amd64.deb',
          'LongDesc' => 'Red Hat package manager
 If you want to install Red Hat Packages then please use the alien
 package. Using rpm directly will bypass the Debian packaging system!',
          'Name' => 'rpm'
        };
libpopt0 conflicts with rpm (<= 4.0.2-3)
We have rpm (4.4.2.3-1 ) vs rpm (<= 4.0.2-3).
ver_compare(4.4.2.3-1 <= 4.0.2-3) = -316
rpm (4.4.2.3-1) is newer (which is OK).
libpopt0 Depends : libc6
Checking libc6 for conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
Skipping libpopt0 Replaces popt
processing libpopt0 dependencies.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Paul Martin <pm@debian.org>',
          'SourcePkg' => 'popt',
          'ShortDesc' => 'lib for parsing cmdline parameters',
          'VerStr' => '1.14-4',
          'FileName' => 'pool/main/p/popt/libpopt0_1.14-4_amd64.deb',
          'MD5Hash' => 'ee738456a36ca9aa4326b703cf31f68a',
          'LongDesc' => 'lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.',
          'Name' => 'libpopt0'
        };
Skipping libpopt0 Replaces popt
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
libpopt0 Depends : libc6 (2.7-18lenny4)
Adding libc6
$VAR1 = {
          'VerStr' => '4.4.2.3-1',
          'ShortDesc' => 'Red Hat package manager',
          'Section' => 'admin',
          'Maintainer' => 'Anibal Monsalve Salazar <anibal@debian.org>',
          'MD5Hash' => 'fecf9c83484d975e7e2f58c441b455f5',
          'FileName' => 'pool/main/r/rpm/rpm_4.4.2.3-1_amd64.deb',
          'LongDesc' => 'Red Hat package manager
 If you want to install Red Hat Packages then please use the alien
 package. Using rpm directly will bypass the Debian packaging system!',
          'Name' => 'rpm'
        };
libpopt0 Conflicts : rpm (4.4.2.3-1)
libpopt-dev already seen - skipping dependency check.
$VAR1 = undef;
libpopt0 Conflicts : popt
popt looks like a pseudo package - excluding.
Skipping package already seen: 'libpopt-dev'.
$VAR1 = {
          'Section' => 'devel',
          'Maintainer' => 'Debian Kernel Team <debian-kernel@lists.debian.org>',
          'SourcePkg' => 'linux-2.6',
          'ShortDesc' => 'Linux support headers for userspace development',
          'VerStr' => '2.6.26-24',
          'FileName' => 'pool/main/l/linux-2.6/linux-libc-dev_2.6.26-24_amd64.deb',
          'MD5Hash' => '085fa2494b95d04df67fb7db6ec9f677',
          'LongDesc' => 'Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU glibc and other system
 libraries.',
          'Name' => 'linux-libc-dev'
        };
processing linux-libc-dev conflicts
$VAR1 = {
          'Section' => 'devel',
          'Maintainer' => 'Debian Kernel Team <debian-kernel@lists.debian.org>',
          'SourcePkg' => 'linux-2.6',
          'ShortDesc' => 'Linux support headers for userspace development',
          'VerStr' => '2.6.26-24',
          'FileName' => 'pool/main/l/linux-2.6/linux-libc-dev_2.6.26-24_amd64.deb',
          'MD5Hash' => '085fa2494b95d04df67fb7db6ec9f677',
          'LongDesc' => 'Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU glibc and other system
 libraries.',
          'Name' => 'linux-libc-dev'
        };
linux-libc-dev Conflicts : linux-kernel-headers
Checking linux-kernel-headers for conflicts
$VAR1 = undef;
linux-libc-dev conflicts with linux-kernel-headers
Skipping linux-kernel-headers due to conflict.
Skipping linux-libc-dev Replaces linux-kernel-headers
processing linux-libc-dev dependencies.
$VAR1 = {
          'Section' => 'devel',
          'Maintainer' => 'Debian Kernel Team <debian-kernel@lists.debian.org>',
          'SourcePkg' => 'linux-2.6',
          'ShortDesc' => 'Linux support headers for userspace development',
          'VerStr' => '2.6.26-24',
          'FileName' => 'pool/main/l/linux-2.6/linux-libc-dev_2.6.26-24_amd64.deb',
          'MD5Hash' => '085fa2494b95d04df67fb7db6ec9f677',
          'LongDesc' => 'Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU glibc and other system
 libraries.',
          'Name' => 'linux-libc-dev'
        };
Skipping linux-libc-dev Replaces linux-kernel-headers
$VAR1 = undef;
linux-libc-dev Conflicts : linux-kernel-headers
linux-kernel-headers looks like a pseudo package - excluding.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
processing libc6 conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
libc6 Conflicts : tzdata
Checking tzdata for conflicts
$VAR1 = {
          'VerStr' => '2010j-0lenny1',
          'ShortDesc' => 'time zone and daylight-saving time data',
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'MD5Hash' => '5dcbde778c9249136c3948c11826237b',
          'FileName' => 'pool/main/t/tzdata/tzdata_2010j-0lenny1_all.deb',
          'LongDesc' => 'time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.',
          'Name' => 'tzdata'
        };
libc6 conflicts with tzdata (<< 2007k-1)
We have tzdata (2010j-0lenny1 ) vs tzdata (<< 2007k-1).
ver_compare(2010j-0lenny1 << 2007k-1) = -316
tzdata (2010j-0lenny1) is newer (which is OK).
libc6 Conflicts : libterm-readline-gnu-perl
Checking libterm-readline-gnu-perl for conflicts
$VAR1 = {
          'Section' => 'perl',
          'Maintainer' => 'Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>',
          'SourcePkg' => 'libterm-readline-gnu-perl',
          'ShortDesc' => 'Perl extension for the GNU Readline/History Library',
          'VerStr' => '1.17a-2+b1',
          'FileName' => 'pool/main/libt/libterm-readline-gnu-perl/libterm-readline-gnu-perl_1.17a-2+b1_amd64.deb',
          'MD5Hash' => 'e50ed78a4fb9f1c89e6710190f64c791',
          'LongDesc' => 'Perl extension for the GNU Readline/History Library
 This is an implementation of a Perl interface to the GNU Readline
 Library.  This module gives you input line editing, input history
 management, word completion, and other similar facilities.  This module
 gives you access to almost all variables and functions documented in
 the GNU ReadLine/History Library.  This means you can write your custom
 editing function, your custom completion function, and so on with Perl.
 You may find it useful for prototyping before programming with C.',
          'Name' => 'libterm-readline-gnu-perl'
        };
libc6 conflicts with libterm-readline-gnu-perl (<< 1.15-2)
We have libterm-readline-gnu-perl (1.17a-2+b1 ) vs libterm-readline-gnu-perl (<< 1.15-2).
ver_compare(1.17a-2+b1 << 1.15-2) = -316
libterm-readline-gnu-perl (1.17a-2+b1) is newer (which is OK).
libc6 Conflicts : tzdata-etch
Checking tzdata-etch for conflicts
$VAR1 = undef;
libc6 conflicts with tzdata-etch
Skipping tzdata-etch due to conflict.
Skipping suggested or recommended dependencylocales.
Skipping suggested or recommended dependencyglibc-doc.
libc6 Depends : libgcc1
Checking libgcc1 for conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'GCC support library',
          'VerStr' => '1:4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/libgcc1_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '5680cb877e872146ebaf96d254826c09',
          'LongDesc' => 'GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.',
          'Name' => 'libgcc1'
        };
processing libc6 dependencies.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'GCC support library',
          'VerStr' => '1:4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/libgcc1_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '5680cb877e872146ebaf96d254826c09',
          'LongDesc' => 'GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.',
          'Name' => 'libgcc1'
        };
libc6 Depends : libgcc1 (1:4.3.2-1.1)
Adding libgcc1
Skipping suggested or recommended dependency: glibc-doc of libc6.
Skipping suggested or recommended dependency: locales of libc6.
$VAR1 = undef;
libc6 Conflicts : tzdata-etch
tzdata-etch looks like a pseudo package - excluding.
$VAR1 = {
          'Section' => 'perl',
          'Maintainer' => 'Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>',
          'SourcePkg' => 'libterm-readline-gnu-perl',
          'ShortDesc' => 'Perl extension for the GNU Readline/History Library',
          'VerStr' => '1.17a-2+b1',
          'FileName' => 'pool/main/libt/libterm-readline-gnu-perl/libterm-readline-gnu-perl_1.17a-2+b1_amd64.deb',
          'MD5Hash' => 'e50ed78a4fb9f1c89e6710190f64c791',
          'LongDesc' => 'Perl extension for the GNU Readline/History Library
 This is an implementation of a Perl interface to the GNU Readline
 Library.  This module gives you input line editing, input history
 management, word completion, and other similar facilities.  This module
 gives you access to almost all variables and functions documented in
 the GNU ReadLine/History Library.  This means you can write your custom
 editing function, your custom completion function, and so on with Perl.
 You may find it useful for prototyping before programming with C.',
          'Name' => 'libterm-readline-gnu-perl'
        };
libc6 Conflicts : libterm-readline-gnu-perl (1.17a-2+b1)
$VAR1 = {
          'VerStr' => '2010j-0lenny1',
          'ShortDesc' => 'time zone and daylight-saving time data',
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'MD5Hash' => '5dcbde778c9249136c3948c11826237b',
          'FileName' => 'pool/main/t/tzdata/tzdata_2010j-0lenny1_all.deb',
          'LongDesc' => 'time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.',
          'Name' => 'tzdata'
        };
libc6 Conflicts : tzdata (2010j-0lenny1)
tzdata is Architecture: all - excluding.
Skipping package already seen: 'libc6-dev'.
Skipping package already seen: 'libpopt0'.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'GCC support library',
          'VerStr' => '1:4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/libgcc1_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '5680cb877e872146ebaf96d254826c09',
          'LongDesc' => 'GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.',
          'Name' => 'libgcc1'
        };
processing libgcc1 conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'GCC support library',
          'VerStr' => '1:4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/libgcc1_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '5680cb877e872146ebaf96d254826c09',
          'LongDesc' => 'GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.',
          'Name' => 'libgcc1'
        };
libgcc1 Depends : gcc-4.3-base
Checking gcc-4.3-base for conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'The GNU Compiler Collection (base package)',
          'VerStr' => '4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '3ac2510fdd119116ffbf6e8d5830299f',
          'LongDesc' => 'The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).',
          'Name' => 'gcc-4.3-base'
        };
libgcc1 Depends : libc6
Checking libc6 for conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'GNU Libc Maintainers <debian-glibc@lists.debian.org>',
          'SourcePkg' => 'glibc',
          'ShortDesc' => 'GNU C Library: Shared libraries',
          'VerStr' => '2.7-18lenny4',
          'FileName' => 'pool/main/g/glibc/libc6_2.7-18lenny4_amd64.deb',
          'MD5Hash' => 'f6bc2c4255027b03177a96b48a996e95',
          'LongDesc' => 'GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.',
          'Name' => 'libc6'
        };
processing libgcc1 dependencies.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'GCC support library',
          'VerStr' => '1:4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/libgcc1_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '5680cb877e872146ebaf96d254826c09',
          'LongDesc' => 'GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.',
          'Name' => 'libgcc1'
        };
libc6 already seen - skipping dependency check.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'The GNU Compiler Collection (base package)',
          'VerStr' => '4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '3ac2510fdd119116ffbf6e8d5830299f',
          'LongDesc' => 'The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).',
          'Name' => 'gcc-4.3-base'
        };
libgcc1 Depends : gcc-4.3-base (4.3.2-1.1)
Adding gcc-4.3-base
Skipping package already seen: 'libpopt-dev'.
Skipping package already seen: 'linux-libc-dev'.
Skipping package already seen: 'libc6'.
Skipping package already seen: 'libc6-dev'.
Skipping package already seen: 'libpopt0'.
Skipping package already seen: 'libgcc1'.
Skipping package already seen: 'libpopt-dev'.
Skipping package already seen: 'linux-libc-dev'.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'The GNU Compiler Collection (base package)',
          'VerStr' => '4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '3ac2510fdd119116ffbf6e8d5830299f',
          'LongDesc' => 'The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).',
          'Name' => 'gcc-4.3-base'
        };
processing gcc-4.3-base conflicts
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'The GNU Compiler Collection (base package)',
          'VerStr' => '4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '3ac2510fdd119116ffbf6e8d5830299f',
          'LongDesc' => 'The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).',
          'Name' => 'gcc-4.3-base'
        };
Skipping gcc-4.3-base Replaces cpp-4.3
processing gcc-4.3-base dependencies.
$VAR1 = {
          'Section' => 'libs',
          'Maintainer' => 'Debian GCC Maintainers <debian-gcc@lists.debian.org>',
          'SourcePkg' => 'gcc-4.3',
          'ShortDesc' => 'The GNU Compiler Collection (base package)',
          'VerStr' => '4.3.2-1.1',
          'FileName' => 'pool/main/g/gcc-4.3/gcc-4.3-base_4.3.2-1.1_amd64.deb',
          'MD5Hash' => '3ac2510fdd119116ffbf6e8d5830299f',
          'LongDesc' => 'The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).',
          'Name' => 'gcc-4.3-base'
        };
Skipping gcc-4.3-base Replaces cpp-4.3
Skipping package already seen: 'libc6'.
Skipping package already seen: 'libc6-dev'.
Skipping package already seen: 'libpopt0'.
Skipping package already seen: 'libgcc1'.
Skipping package already seen: 'libpopt-dev'.
Skipping package already seen: 'linux-libc-dev'.
Skipping package already seen: 'gcc-4.3-base'.
Skipping package already seen: 'libc6'.
Skipping package already seen: 'libc6-dev'.
Skipping package already seen: 'libpopt0'.
The following NEW packages will be built and installed:
 gcc-4.3-base libc6 libc6-dev libgcc1 libpopt-dev libpopt0 linux-libc-dev
0 to be upgraded, 7 to be newly installed.



-- Package-specific info:

-- apt-cache policy --

Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://security.debian.org lenny/updates/main Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=main
     origin security.debian.org
 500 http://ftp.fr.debian.org lenny/main Packages
     release v=5.0.5,o=Debian,a=stable,l=Debian,c=main
     origin ftp.fr.debian.org
Paquets étiquetés :

-- /etc/apt/sources.list --

# Debian 5.0 (Lenny)
# + deb-src lines for apt-cross

deb http://ftp.fr.debian.org/debian/ lenny main
deb-src http://ftp.fr.debian.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt-cross depends on:
ii  apt                      0.7.20.2+lenny2 Advanced front-end for dpkg
ii  dpkg-cross               2.3.0.1         tools for cross compiling Debian p
ii  dpkg-dev                 1.14.29         Debian package development tools
ii  libcache-apt-perl        0.12.0          object oriented apt cache perl bin
ii  libterm-progressbar-perl 2.09-5          Perl module to print a progress ba
ii  libwww-perl              5.813-1         WWW client/server library for Perl
ii  perl                     5.10.0-19lenny2 Larry Wall's Practical Extraction 
ii  sudo                     1.6.9p17-3      Provide limited super user privile

apt-cross recommends no packages.

apt-cross suggests no packages.

-- no debconf information

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591457; Package apt-cross. (Sun, 17 Oct 2010 14:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Sun, 17 Oct 2010 14:21:02 GMT) Full text and rfc822 format available.

Message #35 received at 591457@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 591457@bugs.debian.org, 591457-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: confirmed - seeking possible removal of apt-cross
Date: Sun, 17 Oct 2010 15:19:51 +0100
[Message part 1 (text/plain, inline)]
found 591457 0.13.4
severity 591457 grave
tag 591457 - unreproducible
tag 591457 - moreinfo
tag 591457 + wontfix
tag 591457 + confirmed
quit

Justification: renders package unusable in locales other than C/POSIX

> Reporting against apt-cross 0.12.0 this time since that's in a clean
> Debian 5.0 32 bit install that I did with debootstrap not three days
> ago. In this environment I generated the log below by running the
> following command as root:

> (set -x; ls -la /etc/apt/sources.list.d && rm -rf /root/.apt-cross &&
> apt-cross -a amd64 --update && apt-cross -v -v -v -a amd64 -n -i
> libpopt-dev && LANG= apt-cross -v -v -v -a amd64 -n -i libpopt-dev)
> >/tmp/apt-cross.log 2>&1

-a amd64?? You are trying to install cross-building libraries to
cross-build for an amd64 target? Also, running apt-cross as root is not
recommended - apt-cross will use sudo when necessary, it is not meant
to be called under sudo itself.

That's not an issue though, I've now replicated this bug with the more
usual user case of -a armel and as a normal user.

> The following NEW packages will be built and installed:
>  gcc-4.3-base libc6 libc6-dev libgcc1 libpopt-dev libpopt0
> linux-libc-dev 0 to be upgraded, 7 to be newly installed.

That indicates that apt-cross does work with the locale in the chroot.

However, I have now been able to reproduce the failure - when asking
for libpopt-dev in LANGUAGE=C, it works. In LANGUAGE=fr it fails to
calculate a dependency on libpopt0. It would also fail in any locale
where apt has a translation of "Depends".

It does not appear to be a problem that apt-cross can solve,
unfortunately. The apt perl bindings assert their own locale handling
which results in the Depends: field being translated. IMHO that is a
bug in apt because that is a label, not a description - a piece of
data, not a piece of user-text. i.e. The name of the control field,
"Depends" is translated inside the binary apt cache which is used by
the apt perl bindings and therefore apt-cross cannot use this control
field to calculate the dependencies of any package unless that binary
cache file is created and maintained solely under the LC_ALL=C locale.
I have so far failed to persuade the apt perl bindings to do this if
the external locale is anything other than LC_ALL=C or LC_ALL=en*.

xapt does exist in Squeeze, just not as a separate package. It is part
of pdebuild-cross (/usr/share/pdebuild-cross/xapt).

apt-cross has been RFH for sometime, it is mostly abandoned and doesn't
work properly with the version of apt in Squeeze anyway. All current
work is on a replacement for apt-cross but xapt might not make it into
Squeeze as a separate package.

So the options are:

1: live with this bug using the workaround you found. This is not
likely to be acceptable to the release team.

2: reassign this bug to apt if there is a chance it can be fixed,
bearing in mind that the number of current bugs in apt is over
700 and apt-cross still has issues with apt >= 0.8.x.

3: Remove apt-cross from Squeeze and persuade the release team to allow
xapt to migrate out of /usr/share into a new package in /usr/bin/

xapt is *not* a drop-in replacement for apt-cross but the command line
options are similar and there would be no reverse dependencies in
Squeeze if emdebian-crush 2.2.6 was allowed a freeze exception.
The reverse dependencies which do exist in unstable and experimental
should be able to migrate in due course.

http://packages.qa.debian.org/m/mlton-cross.html
http://packages.qa.debian.org/b/buildcross.html

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Bug Marked as found in versions apt-cross/0.13.4. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 14:21:14 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 14:21:15 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 14:21:16 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 14:21:16 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 14:21:17 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 14:21:18 GMT) Full text and rfc822 format available.

Message sent on to Francois Gouget <fgouget@free.fr>:
Bug#591457. (Sun, 17 Oct 2010 14:21:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591457; Package apt-cross. (Fri, 29 Oct 2010 09:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Fri, 29 Oct 2010 09:15:06 GMT) Full text and rfc822 format available.

Message #55 received at 591457@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 591457@bugs.debian.org
Subject: status update
Date: Fri, 29 Oct 2010 10:10:08 +0100
[Message part 1 (text/plain, inline)]
xapt is in the NEW queue, aimed at experimental, but a lot of changes
needed to be made to the version that is currently part of
pdebuild-cross. Therefore, I do not think it suitable to push xapt as a
replacement for apt-cross as a fix for this particular bug. The two
programs are trying to do a similar task but are not equivalent. xapt
is a new codebase, it is a different approach.

To make things a little easier for users of apt-cross, xapt has been
uploaded to the Emdebian toolchain repository:

http://www.emdebian.org/toolchains/search.php?arch=i386&distro=sid&package=xapt

apt-cross was only ever useful when allied to a cross-building
toolchain on a Debian system, so this means that users of such
toolchains can now get xapt directly.

This should minimise the problems of removing apt-cross from Squeeze
without having a direct replacement in Debian itself.

I'll be seeking the removal of apt-cross from Squeeze this weekend.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 14 Feb 2011 12:30:10 GMT) Full text and rfc822 format available.

Notification sent to Francois Gouget <fgouget@free.fr>:
Bug acknowledged by developer. (Mon, 14 Feb 2011 12:30:10 GMT) Full text and rfc822 format available.

Message #60 received at 591457-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 502433-done@bugs.debian.org,591457-done@bugs.debian.org,
Cc: apt-cross@packages.debian.org, apt-cross@packages.qa.debian.org
Subject: Bug#612536: Removed package(s) from unstable
Date: Mon, 14 Feb 2011 12:27:37 +0000
Version: 0.13.4+rm

Dear submitter,

as the package apt-cross has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/612536

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Mar 2011 07:38:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:32:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.